<?php
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.'); ?></p> 
	<?php
		return;
	}
?>
<div class="postWrapper">
  <div class="postContainer">
    <div class="postNote">
      <ol class="notes">
		<?php 
			$pingbacks = $comments_by_type['pings'];
			$ping_count = count($pingbacks);
			if ( have_comments() ) : 
		?>
		<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
			<div class="navigation">	
    	    	<span class="alignleft"><?php previous_comments_link( __( '&laquo; Older Comments' ) ); ?></span>
        		<span class="alignright"><?php next_comments_link( __( 'Newer Comments &raquo;' ) ); ?></span>
    		</div>
		<?php endif; ?>

		<!--pingbacks-->
		<?php
			if(pings_open() && !post_password_required()) {
		?>
		<div id="pings" class="section">
			<h3><?php echo 'Pingbacks'; ?> (<?php echo post_password_required()? 'X' : $ping_count; ?>)</h3>
			<?php
				if($ping_count > 0) {
			?>
			<ol class="pingbacks">
			<?php
				foreach($pingbacks as $comment) {
			?>
				<li class="pingback" id="comment-<?php comment_ID(); ?>">
					<div class="comment-meta">
						<span class="datetime"><?php comment_time("Y-m-d h:i:s"); ?></span>
						<a class="title" href="<?php comment_author_url() ?>" rel="nofollow<?php if(strpos(get_comment_author_url(), home_url()) != 0) echo ' external'; ?>">
							<img class="favicon" src="http://www.google.com/s2/favicons?domain=<?php $host = get_comment_author_url(); echo $host; ?>" alt="Favicon of <?php echo $host; ?>" width="16" height="16" />
							<?php comment_author(); ?>
						</a>
					</div>
				</li>
			<?php
				}
			?>
			</ol>
			<?php
			} else {
			?>
			<p class="message">&rsaquo; <?php echo 'No pingbacks yet.'; ?></p>
			<?php
				}
			?>
		</div>
		<?php
			}
		?>

		<?php if ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
			<p><?php _e( 'Comments are closed.' ); ?></p>
		<?php endif; ?>		<?php //end closed ?>
		<?php endif; ?>
		<?php if ('open' == $post->comment_status) : ?>
		<div id="respond">
			<span id="cancel-comment-reply"><?php cancel_comment_reply_link() ?></span>
			<form id="commentform" method="post" action="<?php bloginfo('url');?>/wp-comments-post.php">
				<div id="userDiv">
				<?php if ( $user_ID ) : ?>
				<?php global $current_user;get_currentuserinfo();echo get_avatar( $current_user->user_email, 16); ?>
				<?php printf(__(' <a href="%1$s">%2$s</a> '), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account'); ?>"><?php _e('Log out &raquo;'); ?></a>
				</div>
				<?php else : ?>
				<?php if ( $comment_author_email != "" ) : ?>
				<?php echo get_avatar($comment_author_email, 16); ?>
				<script type="text/javascript">function setStyleDisplay(id, status){document.getElementById(id).style.display = status;}</script>
				<?php printf(__('Welcome <strong>%s</strong>. '), $comment_author) ?>
					<span id="show_author_info"><a href="javascript:setStyleDisplay('userInfo','');setStyleDisplay('show_author_info','none');setStyleDisplay('hide_author_info','');">[更改]</a></span>
					<span id="hide_author_info"><a href="javascript:setStyleDisplay('userInfo','none');setStyleDisplay('show_author_info','');setStyleDisplay('hide_author_info','none');">[收起]</a></span>
				<?php endif; ?>
				</div>
				<div id="userInfo">
					<label for="author" class="authorLabel">姓名：</label>
					<input type="text" name="author" class="author" value="<?php echo $comment_author;?>" tabindex="1"/>
					<label for="email" class="emailLabel">邮箱：</label>
					<input type="text" name="email" class="email" value="<?php echo $comment_author_email;?>" tabindex="2"/>
					<label for="url" class="urlLabel">博客：</label>
					<input type="text" name="url" class="url" value="<?php echo $comment_author_url;?>" tabindex="3"/>
				</div>
				<?php endif; ?>
				<div id="smilies"><?php include(TEMPLATEPATH . '/smiley.php');?></div>
				<textarea name="comment" id="comment" class="commentTextarea" onkeydown="if(event.ctrlKey&&event.keyCode==13){document.getElementById('submit').click();return false};"></textarea>
				<input name="submit" type="submit" id="submit" class="submit" tabindex="4" value="回复" />
				<?php do_action('comment_form', $post->ID); ?>
				<?php comment_id_fields(); ?> 
				
			</form>
			
			<?php if ( $comment_author != "" ) : ?>
				<script type="text/javascript">setStyleDisplay('hide_author_info','none');setStyleDisplay('userInfo','none');</script>
			<?php endif; ?>

		</div>
		<?php endif; ?>
      </ol>
    </div>
  </div>
</div>
